Package com.macrofocus.high_d.scatterplotmatrix.swing

# Class SwingScatterPlotMatrixView<Row,Column>

java.lang.Object
com.macrofocus.high_d.scatterplotmatrix.AbstractScatterPlotMatrixView<JComponent,Color,Row,Column>
com.macrofocus.high_d.scatterplotmatrix.swing.SwingScatterPlotMatrixView<Row,Column>

All Implemented Interfaces:
  `com.macrofocus.crossplatform.CPComponent<JComponent>`, `com.macrofocus.crossplatform.CPInteractiveComponent<JComponent>`, `ScatterPlotMatrixView<JComponent,Color,Row,Column>`

public class SwingScatterPlotMatrixView<Row,Column> extends AbstractScatterPlotMatrixView<JComponent,Color,Row,Column>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.macrofocus.high_d.scatterplotmatrix.ScatterPlotMatrixView

  `ScatterPlotMatrixView.PropertyType`

- ## Field Summary

  ### Fields inherited from class com.macrofocus.high_d.scatterplotmatrix.AbstractScatterPlotMatrixView

  `properties`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SwingScatterPlotMatrixView()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addMouseListener(com.macrofocus.crossplatform.CPCanvas.MouseListener l)`
  `void`
  `addMouseMotionListener(com.macrofocus.crossplatform.CPCanvas.MouseMotionListener l)`
  `protected com.macrofocus.high_d.axis.CompactAxisHeaderView`
  `createAxisHeaderView(com.macrofocus.high_d.axis.AxisModel axisModel)`
  `void`
  `createOverplots()`
  `Object`
  `getClosestRow(int x, int y)`
  `JComponent`
  `getHeader(com.macrofocus.high_d.axis.AxisModel axisModel)`
  `int`
  `getHeight()`
  `JLayeredPane`
  `getNativeComponent()`
  `JComponent`
  `getOrCreateHeader(com.macrofocus.high_d.axis.AxisModel axisModel)`
  `List<Row>`
  `getRows(com.macrofocus.geom.Rectangle2D rect)`
  `protected ScatterPlotMatrixComponent`
  `getScatterPlotMatrixComponent()`
  `int`
  `getWidth()`
  `protected void`
  `refresh()`
  `void`
  `removeMouseListener(com.macrofocus.crossplatform.CPCanvas.MouseListener l)`
  `void`
  `removeMouseMotionListener(com.macrofocus.crossplatform.CPCanvas.MouseMotionListener l)`
  `void`
  `setLicenseModel(LicenseModel licenseModel)`
  `void`
  `setStyleClass(String... styleClasses)`

  ### Methods inherited from class com.macrofocus.high_d.scatterplotmatrix.AbstractScatterPlotMatrixView

  `getAntialiasing, getColorTheme, getModel, getRendering, getRubberBand, getShowFiltered, getShowTiming, isSelectionMode, setAntialiasing, setColorTheme, setModel, setRendering, setSelectionMode, setShowFiltered`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SwingScatterPlotMatrixView

    public SwingScatterPlotMatrixView()

- ## Method Details

  - ### setStyleClass

    public void setStyleClass(String... styleClasses)

  - ### getNativeComponent

    public JLayeredPane getNativeComponent()

  - ### getScatterPlotMatrixComponent

    protected ScatterPlotMatrixComponent getScatterPlotMatrixComponent()
    Specified by:
      `getScatterPlotMatrixComponent` in class `AbstractScatterPlotMatrixView<JComponent,Color,Row,Column>`

  - ### getWidth

    public int getWidth()

  - ### getHeight

    public int getHeight()

  - ### refresh

    protected void refresh()
    Specified by:
      `refresh` in class `AbstractScatterPlotMatrixView<JComponent,Color,Row,Column>`

  - ### addMouseListener

    public void addMouseListener(com.macrofocus.crossplatform.CPCanvas.MouseListener l)

  - ### addMouseMotionListener

    public void addMouseMotionListener(com.macrofocus.crossplatform.CPCanvas.MouseMotionListener l)

  - ### removeMouseListener

    public void removeMouseListener(com.macrofocus.crossplatform.CPCanvas.MouseListener l)

  - ### removeMouseMotionListener

    public void removeMouseMotionListener(com.macrofocus.crossplatform.CPCanvas.MouseMotionListener l)

  - ### getHeader

    public JComponent getHeader(com.macrofocus.high_d.axis.AxisModel axisModel)

  - ### getOrCreateHeader

    public JComponent getOrCreateHeader(com.macrofocus.high_d.axis.AxisModel axisModel)

  - ### createAxisHeaderView

    protected com.macrofocus.high_d.axis.CompactAxisHeaderView createAxisHeaderView(com.macrofocus.high_d.axis.AxisModel axisModel)

  - ### getClosestRow

    public Object getClosestRow(int x, int y)

  - ### getRows

    public List<Row> getRows(com.macrofocus.geom.Rectangle2D rect)

  - ### setLicenseModel

    public void setLicenseModel(LicenseModel licenseModel)

  - ### createOverplots

    public void createOverplots()
    Overrides:
      `createOverplots` in class `AbstractScatterPlotMatrixView<JComponent,Color,Row,Column>`